%define	name	kipi-plugins
%define	version	0.1.4
%define	release  %mkrel 2
%define major 0
%define	lib_name %mklibname %name %major
%define	lib_name_devel %mklibname %name -d
%define	oldlibname_devel %mklibname %name 0 -d

%define	Summary	KDE image Interface Plugins 

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		System/Libraries
Source0: http://prdownloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
Patch0:         printwizard-date.patch

URL: 		http://www.kipi-plugins.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch:		1

Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Requires:	mjpegtools vorbis-tools mpg123
Requires:	ImageMagick >= 5.5.4
BuildRequires:	libkipi-devel >= 1:0.1.5
BuildRequires:	libgpod-devel >= 0.4.2
BuildRequires:	libkexiv2-devel >= 0.1.2 
BuildRequires:	libkdcraw-devel >= 0.1.1
BuildRequires:	kdepim-devel
BuildRequires:  tiff-devel libMagick-devel libxslt-devel
BuildRequires:	libgphoto-devel imlib2-devel libxml2-utils
%if %{mdkversion} >= 200610
BuildRequires:  libmesaglu-devel
%else
BuildRequires:  libMesaGLU-devel
%endif
Conflicts:	digikam-plugins

%description
 The library of the KDE Image Plugin Interface.  

 Libkipi allows image applications to use a plugin architecture 
 for additional functionality  such as: RawConverter, SlideShow, 
 MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...


#----------------------------------------------------------------------------

%package -n %lib_name
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n %lib_name
Library files for %{name}


#----------------------------------------------------------------------------

%package -n %lib_name_devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:      %{oldlibname_devel}

%description -n %lib_name_devel
Development files for %{name}

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
{
cd kipi-plugins/printwizard
%patch0 -p0 -b .printwizard-date
}

%build
make -f admin/Makefile.common cvs
%if "%{_lib}" != "lib"
kdelibsuffix="--enable-libsuffix=%(A=%{_lib}; echo ${A/lib/})"
%endif
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --disable-rpath \
            --prefix=%_prefix \
            --libdir=%_libdir $kdelibsuffix \
            --mandir=%_mandir \
            --datadir=%_datadir \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name --all-name

%clean
rm -rf %buildroot

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/images2mpg
#-%_bindir/kdcraw
#TODO fix by lang
%{_datadir}/doc/HTML/*

%dir %{_datadir}/apps/

%dir %_datadir/apps/kipiplugin_batchprocessimages/
%dir %_datadir/apps/kipiplugin_batchprocessimages/data/

%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_batchprocessimages/icons/hicolor/32x32/actions/

%dir %_datadir/apps/kipiplugin_findimages/
%dir %_datadir/apps/kipiplugin_findimages/icons/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_findimages/icons/hicolor/32x32/actions/

%dir %_datadir/apps/kipiplugin_viewer/icons/
%dir %_datadir/apps/kipiplugin_viewer/icons/hicolor/
%dir %_datadir/apps/kipiplugin_viewer/icons/hicolor/16x16/
%dir %_datadir/apps/kipiplugin_viewer/icons/hicolor/16x16/actions/
%dir %_datadir/apps/kipiplugin_viewer/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_viewer/icons/hicolor/32x32/actions/

%dir %_datadir/apps/kipiplugin_jpeglossless/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_jpeglossless/icons/hicolor/32x32/actions/

%dir %_datadir/apps/kipiplugin_gpssync/
%dir %_datadir/apps/kipiplugin_gpssync/icons/
%dir %_datadir/apps/kipiplugin_gpssync/icons/hicolor/
%dir %_datadir/apps/kipiplugin_gpssync/icons/hicolor/32x32/
%dir %_datadir/apps/kipiplugin_gpssync/icons/hicolor/32x32/actions/

%dir %_datadir/apps/kipiplugin_rawconverter/

%dir %{_datadir}/apps/kipiplugin_htmlexport/

%dir %{_datadir}/apps/kipiplugin_simpleviewerexport/

%{_datadir}/apps/kipiplugin_*

%dir %{_datadir}/apps/kipi/
%{_datadir}/apps/kipi/*

%{_datadir}/config.kcfg/htmlexportconfig.kcfg

%{_datadir}/services/kipiplugin_*
%_mandir/man1/*

#----------------------------------------------------------------------------

%files -n %lib_name
%defattr(-,root,root)
%{_libdir}/kde3/kipiplugin_*
%{_libdir}/libkipiplugins.so.*

#----------------------------------------------------------------------------

%files -n %lib_name_devel
%defattr(-,root,root)
%{_libdir}/libkipiplugins.so
%{_libdir}/libkipiplugins.la




%changelog
* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.4-2mdv2008.0
+ Revision: 50500
- Added printwizard exif date management (from kde svn)
  Updated for new library policy (developer packages)
  SV: Line begining by SVN are ign red

* Sun Jul 01 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.4-1mdv2008.0
+ Revision: 46874
- New version 0.1.4

* Tue Jun 19 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.4-0.beta2.1mdv2008.0
+ Revision: 41477
- New version 0.1.4 beta2
- rebuilt against new libkdcraw1

* Thu Jun 07 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.4-0.beta1.1mdv2008.0
+ Revision: 36664
- New version 0.1.4 beta1

* Wed May 16 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-4mdv2008.0
+ Revision: 27263
- rebuilt for new libkexiv2 0.1.5

* Sat Apr 21 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-3mdv2008.0
+ Revision: 16498
- addded libkexiv2-devel dep.
- rebuilt against libkexiv2 0.1.2


* Sun Mar 04 2007 Angelo Naselli <anaselli@mandriva.org> 0.1.3-2mdv2007.0
+ Revision: 132342
- rebuilt for new libexiv2

* Wed Jan 24 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-1mdv2007.1
+ Revision: 113059
- 0.1.3 final

* Sun Jan 14 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.5mdv2007.1
+ Revision: 108954
- Bug #28154

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.4mdv2007.1
+ Revision: 102417
- forgot to change version
- Epoch was in a wrong position

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.3mdv2007.1
+ Revision: 102251
- I should read careful mkrel value next time site URL updated

* Thu Dec 28 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.rc1.2mdv2007.1
+ Revision: 102179
- New version

* Sat Dec 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.2mdv2007.1
+ Revision: 93901
- added patch to fix new libgphoto changes,
  fixed spec file
- patch provided by Colin Guthrie (fix bug# 27502

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-0.beta1.1mdv2007.1
+ Revision: 90575
- New version 0.1.3-beta1 \ndisable ipod export
- Import kipi-plugins

* Mon Sep 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-4mdv2007.0
- Fix bug# 25805

* Sat Sep 09 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-3mdv2007.0
- Rebuilt

* Sat Aug 05 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-2mdv2007.0
- Rebuilt

* Tue Jul 11 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-1mdv2007.0
- New release 0.1.2

* Fri Jun 30 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.1-1mdv2007.0
- New release 0.1.1

* Mon Jun 26 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-1mdv2007.0
- new release

* Sun Jun 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.2mdv2007.0
- fix download url and Mesa dependency

* Mon May 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc2.1mdk
- new release

* Sat Feb 25 2006 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.rc1.4mdk
- fix Bug# 17555: if you have problems and you have Athlon CPU please follow
  bug# 18242

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.3mdk
- backport from svn of admin to allow recompiling under kde 3.5
  that should fix bug 20485

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 1:0.1.0-0.rc1.2mdk
- Printing out of the print wizard required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 0).
- Fixed compilation with QT 3.3.5 (patch 1, Laurent).

* Sun Oct 02 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.rc1.1mdk
- new release

* Sat Sep 24 2005 Götz Waschk <waschk@mandriva.org> 1:0.1.0-0.beta2.11mdk
- fix deps

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.10mdk
- avoid it for backport

* Sun Sep 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.9mdk
- better implementation to fix mdk #16504 (removed awful script file)

* Tue Aug 30 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.8mdk
- really fix mdk #16504 (added my own pacth #2 and a a script file)

* Wed Aug 24 2005 Angelo Naselli <anaselli@mandriva.org> 0.1.0-0.beta2. 7
- Added patch2: fix mdk #16504 (k3b --nofork)

* Tue Aug 16 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.0-0.beta2. 6
- Add patch1: fix mdk #17556 (patch from svn last changes)

* Thu Aug 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.5mdk
- build po files missed fix bug #17436

* Mon Jul 11 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.0-0.beta2.4mdk
- aligned rawconverter from svn to fix Mandriva bug #15286

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1-0.beta2.3mdk
- fix build on lib64 platforms

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta2.2mdk
- DistroSpecificReleaseTag support

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta2.1mdk
- beta2

* Sun Dec 26 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1-0.beta1.5mdk
- add BuildRequires: libgphoto-devel imlib2-devel libMesaGLU-devel libxml2-utils

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-0.beta1.4mdk
- fix buildrequires

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.3mdk
- Rebuild with libkexif

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-0.beta1.2mdk
- Fix spec file

* Sun Oct 17 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-0.beta1.1mdk
- new version

* Tue Sep 21 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Thu Sep 09 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed description

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sun Jun 13 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Tue May 11 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version

